
import {create} from 'zustand'
import {Bucket, Connection} from "../interfaces/connection";

interface StorePreview {
    preview_key: string;
    preview_url: string;
    preview_content_type: string;
    preview_set: (conn:Connection,bucket: Bucket,key: string) => void;
}
export const useStoreFile = create<StorePreview>()((set) => ({
    preview_key: '',
    preview_url: '',
    preview_content_type: '',
    preview_set: (conn:Connection,bucket: Bucket,key: string) => set(state => {
        return {preview_key: key}
    }),
}))
